Skip to main content
GET
Retrieve a customer

Authorizations

Authorization
string
header
required

Secret, platform or publishable API key. Platform keys require Payments-Account.

Headers

payments-account
string
payments-version
enum<string>
Available options:
2026-11-01

Path Parameters

id
string
required
Pattern: ^cus_[a-f0-9]{12}$

Response

Customer, shared with the CRM.

billing_address
object | null
required
created_at
string<date-time>
required
email
string | null
required
first_name
string | null
required
id
string
required
Pattern: ^cus_[a-f0-9]{12}$
last_name
string | null
required
locale
string | null
required
metadata
object
required
object
enum<string>
required
Available options:
customer
shipping_address
object | null
required
store
string | null
required
Pattern: ^store_[a-f0-9]{12}$